Bug 219503 - gaim fails to start
gaim fails to start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-13 11:23 EST by Nigel Horne
Modified: 2008-05-06 13:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Core dump (17.53 MB, application/octet-stream)
2006-12-13 11:31 EST, Nigel Horne
no flags Details

  None (edit)
Description Nigel Horne 2006-12-13 11:23:32 EST
Description of problem:

Gaim doesn't start

Version-Release number of selected component (if applicable):
gaim-2.0.0-0.26.beta5.fc6

How reproducible:
Every time

Steps to Reproduce:
1. gaim
2.
3.
  
Actual results:

libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
Gaim has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

If you can reproduce the crash, please notify the gaim
developers by reporting a bug at
http://gaim.sourceforge.net/bug.php

Please make sure to specify what you were doing at the time
and post the backtrace from the core file.  If you do not know
how to get the backtrace, please read the instructions at
http://gaim.sourceforge.net/gdb.php

If you need further assistance, please IM either SeanEgn or 
LSchiere (via AIM).  Contact information for Sean and Luke 
on other protocols is at
http://gaim.sourceforge.net/contactinfo.php
Aborted (core dumped)


Expected results:

Gaim should start


Additional info:
Comment 1 Nigel Horne 2006-12-13 11:31:05 EST
Created attachment 143534 [details]
Core dump
Comment 2 Warren Togami 2006-12-13 11:59:14 EST
http://gaim.sourceforge.net/gdb.php
http://fedoraproject.org/wiki/StackTraces
Please install the exact matching gaim debuginfo RPM and get a stack trace
following the directions on these pages.
Comment 3 Nigel Horne 2006-12-14 03:29:54 EST
[root@njh njh]# yum install gaim-debuginfo
Loading "fedorakmod" plugin
Loading "kernel-module" plugin
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: gaim-debuginfo
Nothing to do
[root@njh njh]#
Comment 4 Stu Tomlinson 2006-12-14 08:33:50 EST
debuginfo RPMs are not in yum default repos, this is the RPM you need:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/debug/gaim-debuginfo-2.0.0-0.26.beta5.fc6.i386.rpm
Comment 5 Nigel Horne 2006-12-19 10:34:52 EST
RPM installed, but the stack trace doesn't seem much help, so I did a "run"
within gdb, and still no useful output.

(gdb) thread apply all bt full

Thread 1 (process 4089):
#0  0x0074ab26 in _dl_relocate_object () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x007439ac in dl_main () from /lib/ld-linux.so.2
No symbol table info available.
#2  0x0075399b in _dl_sysdep_start () from /lib/ld-linux.so.2
No symbol table info available.
#3  0x00741378 in _dl_start () from /lib/ld-linux.so.2
No symbol table info available.
#4  0x007408d7 in _start () from /lib/ld-linux.so.2
No symbol table info available. 
(gdb) run
Starting program: /usr/bin/gaim 

Program received signal SIGSEGV, Segmentation fault.
0x0074ab26 in _dl_relocate_object () from /lib/ld-linux.so.2
(gdb) 

Comment 6 Nigel Horne 2006-12-19 16:41:45 EST
I followed your instructions. If they caused me to install something wrong
please send me the correct instructions.
Comment 7 Nathanael Noblet 2007-02-02 12:38:02 EST
Same issues for me with FC6 x86_64. I have two accounts, msn and irc. It seems
to be the irc account's 'fault'. I even installed the beta6 directly from gaim,
same issue. I'll re-install the FC6 debuginfo package and see if I can provide
anything.
Comment 8 Marius Andreiana 2007-02-18 04:47:04 EST
confirming (when connecting to yahoo; jabber works)
Comment 9 Bug Zapper 2008-04-04 01:14:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 13:11:07 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.